[source] dnsmasq: use logical interface name for dhcp relay config

LEDE Commits lede-commits at lists.infradead.org
Thu Jun 1 15:30:52 PDT 2017


jow pushed a commit to source.git, branch lede-17.01:
https://git.lede-project.org/ebf46d2c5bd3c4f1ff80544a134f87131e011056

commit ebf46d2c5bd3c4f1ff80544a134f87131e011056
Author: Karl Vogel <karl.vogel at gmail.com>
AuthorDate: Wed Mar 29 11:39:35 2017 +0200

    dnsmasq: use logical interface name for dhcp relay config
    
    The relay section should use the logical interface name and
    not the linux network device name directly. This to be
    consistent with other sections of the dnsmasq config where
    'interface' means the logical interface.
    
    Signed-off-by: Karl Vogel <karl.vogel at gmail.com>
---
 package/network/services/dnsmasq/files/dnsmasq.init | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/package/network/services/dnsmasq/files/dnsmasq.init b/package/network/services/dnsmasq/files/dnsmasq.init
index e811a20..cce7558 100644
--- a/package/network/services/dnsmasq/files/dnsmasq.init
+++ b/package/network/services/dnsmasq/files/dnsmasq.init
@@ -526,7 +526,8 @@ dhcp_relay_add() {
 	if [ -z "$interface" ]; then
 		xappend "--dhcp-relay=$local_addr,$server_addr"
 	else
-		xappend "--dhcp-relay=$local_addr,$server_addr,$interface"
+		network_get_device ifname "$interface" || return
+		xappend "--dhcp-relay=$local_addr,$server_addr,$ifname"
 	fi
 }
 



More information about the lede-commits mailing list